# PulpAnsibleClient::AnsibleCollectionRemoteResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**name** | **String** | A unique name for this remote. | 
**url** | **String** | The URL of an external content source. | 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**proxy_url** | **String** | The proxy URL. Format: scheme://host:port | [optional] 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**pulp_last_updated** | **DateTime** | Timestamp of the most recent update of the remote. | [optional] [readonly] 
**download_concurrency** | **Integer** | Total number of simultaneous connections. If not set then the default value will be used. | [optional] 
**max_retries** | **Integer** | Maximum number of retry attempts after a download failure. If not set then the default value (3) will be used. | [optional] 
**policy** | [**PolicyEnum**](PolicyEnum.md) | The policy to use when downloading content. | [optional] 
**total_timeout** | **Float** | aiohttp.ClientTimeout.total (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**connect_timeout** | **Float** | aiohttp.ClientTimeout.connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**sock_connect_timeout** | **Float** | aiohttp.ClientTimeout.sock_connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**sock_read_timeout** | **Float** | aiohttp.ClientTimeout.sock_read (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**headers** | **Array&lt;Object&gt;** | Headers for aiohttp.Clientsession | [optional] 
**rate_limit** | **Integer** | Limits requests per second for each concurrent downloader | [optional] 
**requirements_file** | **String** | The string version of Collection requirements yaml. | [optional] 
**auth_url** | **String** | The URL to receive a session token from, e.g. used with Automation Hub. | [optional] 
**token** | **String** | The token key to use for authentication. See https://docs.ansible.com/ansible/latest/user_guide/collections_using.html#configuring-the-ansible-galaxy-clientfor more details | [optional] 
**sync_dependencies** | **Boolean** | Sync dependencies for collections specified via requirements file | [optional] [default to true]
**signed_only** | **Boolean** | Sync only collections that have a signature | [optional] [default to false]

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleCollectionRemoteResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 name: null,
                                 url: null,
                                 ca_cert: null,
                                 client_cert: null,
                                 tls_validation: null,
                                 proxy_url: null,
                                 pulp_labels: null,
                                 pulp_last_updated: null,
                                 download_concurrency: null,
                                 max_retries: null,
                                 policy: null,
                                 total_timeout: null,
                                 connect_timeout: null,
                                 sock_connect_timeout: null,
                                 sock_read_timeout: null,
                                 headers: null,
                                 rate_limit: null,
                                 requirements_file: null,
                                 auth_url: null,
                                 token: null,
                                 sync_dependencies: null,
                                 signed_only: null)
```


