# PulpAnsibleClient::ApiCollectionsApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get**](ApiCollectionsApi.md#get) | **GET** {ansible_collection_href}api/v2/collections/ | 
[**post**](ApiCollectionsApi.md#post) | **POST** {ansible_collection_href}api/v2/collections/ | 



## get

> PaginatedGalaxyCollectionResponseList get(ansible_collection_href, opts)



View for Collection models.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::ApiCollectionsApi.new
ansible_collection_href = 'ansible_collection_href_example' # String | 
opts = {
  page: 56, # Integer | A page number within the paginated result set.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.get(ansible_collection_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling ApiCollectionsApi->get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_href** | **String**|  | 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedGalaxyCollectionResponseList**](PaginatedGalaxyCollectionResponseList.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## post

> GalaxyCollectionResponse post(ansible_collection_href, galaxy_collection)



Queues a task that creates a new Collection from an uploaded artifact.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::ApiCollectionsApi.new
ansible_collection_href = 'ansible_collection_href_example' # String | 
galaxy_collection = PulpAnsibleClient::GalaxyCollection.new # GalaxyCollection | 

begin
  result = api_instance.post(ansible_collection_href, galaxy_collection)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling ApiCollectionsApi->post: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_href** | **String**|  | 
 **galaxy_collection** | [**GalaxyCollection**](GalaxyCollection.md)|  | 

### Return type

[**GalaxyCollectionResponse**](GalaxyCollectionResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

