# PulpAnsibleClient::ApiRolesApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get**](ApiRolesApi.md#get) | **GET** {ansible_role_href}api/v1/roles/ | 



## get

> PaginatedGalaxyRoleResponseList get(ansible_role_href, opts)



APIView for Roles.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::ApiRolesApi.new
ansible_role_href = 'ansible_role_href_example' # String | 
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.get(ansible_role_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling ApiRolesApi->get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_role_href** | **String**|  | 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedGalaxyRoleResponseList**](PaginatedGalaxyRoleResponseList.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

