# PulpAnsibleClient::PulpAnsibleArtifactsCollectionsV3Api

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](PulpAnsibleArtifactsCollectionsV3Api.md#create) | **POST** /pulp_ansible/galaxy/{path}/api/v3/artifacts/collections/ | Upload a collection
[**create_0**](PulpAnsibleArtifactsCollectionsV3Api.md#create_0) | **POST** /pulp_ansible/galaxy/{path}/api/v3/plugin/ansible/content/{distro_base_path}/collections/artifacts/ | Upload a collection
[**create_1**](PulpAnsibleArtifactsCollectionsV3Api.md#create_1) | **POST** /pulp_ansible/galaxy/default/api/v3/artifacts/collections/ | Upload a collection
[**create_2**](PulpAnsibleArtifactsCollectionsV3Api.md#create_2) | **POST** /pulp_ansible/galaxy/default/api/v3/plugin/ansible/content/{distro_base_path}/collections/artifacts/ | Upload a collection



## create

> AsyncOperationResponse create(path, file, opts)

Upload a collection

Create an artifact and trigger an asynchronous task to create Collection content from it.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleArtifactsCollectionsV3Api.new
path = 'path_example' # String | 
file = File.new('/path/to/file') # File | The Collection tarball.
opts = {
  sha256: 'sha256_example', # String | An optional sha256 checksum of the uploaded file.
  expected_namespace: 'expected_namespace_example', # String | The expected 'namespace' of the Collection to be verified against the metadata during import.
  expected_name: 'expected_name_example', # String | The expected 'name' of the Collection to be verified against the metadata during import.
  expected_version: 'expected_version_example' # String | The expected version of the Collection to be verified against the metadata during import.
}

begin
  #Upload a collection
  result = api_instance.create(path, file, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleArtifactsCollectionsV3Api->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **file** | **File**| The Collection tarball. | 
 **sha256** | **String**| An optional sha256 checksum of the uploaded file. | [optional] 
 **expected_namespace** | **String**| The expected &#39;namespace&#39; of the Collection to be verified against the metadata during import. | [optional] 
 **expected_name** | **String**| The expected &#39;name&#39; of the Collection to be verified against the metadata during import. | [optional] 
 **expected_version** | **String**| The expected version of the Collection to be verified against the metadata during import. | [optional] 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: multipart/form-data, application/x-www-form-urlencoded
- **Accept**: application/json


## create_0

> AsyncOperationResponse create_0(distro_base_path, path, file, opts)

Upload a collection

Create an artifact and trigger an asynchronous task to create Collection content from it.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleArtifactsCollectionsV3Api.new
distro_base_path = 'distro_base_path_example' # String | 
path = 'path_example' # String | 
file = File.new('/path/to/file') # File | The Collection tarball.
opts = {
  sha256: 'sha256_example', # String | An optional sha256 checksum of the uploaded file.
  expected_namespace: 'expected_namespace_example', # String | The expected 'namespace' of the Collection to be verified against the metadata during import.
  expected_name: 'expected_name_example', # String | The expected 'name' of the Collection to be verified against the metadata during import.
  expected_version: 'expected_version_example' # String | The expected version of the Collection to be verified against the metadata during import.
}

begin
  #Upload a collection
  result = api_instance.create_0(distro_base_path, path, file, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleArtifactsCollectionsV3Api->create_0: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **distro_base_path** | **String**|  | 
 **path** | **String**|  | 
 **file** | **File**| The Collection tarball. | 
 **sha256** | **String**| An optional sha256 checksum of the uploaded file. | [optional] 
 **expected_namespace** | **String**| The expected &#39;namespace&#39; of the Collection to be verified against the metadata during import. | [optional] 
 **expected_name** | **String**| The expected &#39;name&#39; of the Collection to be verified against the metadata during import. | [optional] 
 **expected_version** | **String**| The expected version of the Collection to be verified against the metadata during import. | [optional] 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: multipart/form-data, application/x-www-form-urlencoded
- **Accept**: application/json


## create_1

> AsyncOperationResponse create_1(file, opts)

Upload a collection

Create an artifact and trigger an asynchronous task to create Collection content from it.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleArtifactsCollectionsV3Api.new
file = File.new('/path/to/file') # File | The Collection tarball.
opts = {
  sha256: 'sha256_example', # String | An optional sha256 checksum of the uploaded file.
  expected_namespace: 'expected_namespace_example', # String | The expected 'namespace' of the Collection to be verified against the metadata during import.
  expected_name: 'expected_name_example', # String | The expected 'name' of the Collection to be verified against the metadata during import.
  expected_version: 'expected_version_example' # String | The expected version of the Collection to be verified against the metadata during import.
}

begin
  #Upload a collection
  result = api_instance.create_1(file, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleArtifactsCollectionsV3Api->create_1: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file** | **File**| The Collection tarball. | 
 **sha256** | **String**| An optional sha256 checksum of the uploaded file. | [optional] 
 **expected_namespace** | **String**| The expected &#39;namespace&#39; of the Collection to be verified against the metadata during import. | [optional] 
 **expected_name** | **String**| The expected &#39;name&#39; of the Collection to be verified against the metadata during import. | [optional] 
 **expected_version** | **String**| The expected version of the Collection to be verified against the metadata during import. | [optional] 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: multipart/form-data, application/x-www-form-urlencoded
- **Accept**: application/json


## create_2

> AsyncOperationResponse create_2(distro_base_path, file, opts)

Upload a collection

Create an artifact and trigger an asynchronous task to create Collection content from it.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleArtifactsCollectionsV3Api.new
distro_base_path = 'distro_base_path_example' # String | 
file = File.new('/path/to/file') # File | The Collection tarball.
opts = {
  sha256: 'sha256_example', # String | An optional sha256 checksum of the uploaded file.
  expected_namespace: 'expected_namespace_example', # String | The expected 'namespace' of the Collection to be verified against the metadata during import.
  expected_name: 'expected_name_example', # String | The expected 'name' of the Collection to be verified against the metadata during import.
  expected_version: 'expected_version_example' # String | The expected version of the Collection to be verified against the metadata during import.
}

begin
  #Upload a collection
  result = api_instance.create_2(distro_base_path, file, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleArtifactsCollectionsV3Api->create_2: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **distro_base_path** | **String**|  | 
 **file** | **File**| The Collection tarball. | 
 **sha256** | **String**| An optional sha256 checksum of the uploaded file. | [optional] 
 **expected_namespace** | **String**| The expected &#39;namespace&#39; of the Collection to be verified against the metadata during import. | [optional] 
 **expected_name** | **String**| The expected &#39;name&#39; of the Collection to be verified against the metadata during import. | [optional] 
 **expected_version** | **String**| The expected version of the Collection to be verified against the metadata during import. | [optional] 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: multipart/form-data, application/x-www-form-urlencoded
- **Accept**: application/json

