# PulpAnsibleClient::PulpAnsibleDefaultApiV3PluginAnsibleContentCollectionsApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**read**](PulpAnsibleDefaultApiV3PluginAnsibleContentCollectionsApi.md#read) | **GET** /pulp_ansible/galaxy/default/api/v3/plugin/ansible/content/{distro_base_path}/collections/ | 



## read

> RepoMetadataResponse read(distro_base_path, opts)



ViewSet for Repository Metadata.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleDefaultApiV3PluginAnsibleContentCollectionsApi.new
distro_base_path = 'distro_base_path_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.read(distro_base_path, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleDefaultApiV3PluginAnsibleContentCollectionsApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **distro_base_path** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**RepoMetadataResponse**](RepoMetadataResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

